-- DISPARADORS (TRIGGERS) -- CPM

-- LOGS
CREATE SEQUENCE seq_logs INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER tr_logs_insert 
   BEFORE INSERT ON Logs
   FOR EACH ROW
BEGIN
   SELECT seq_logs.nextval INTO :NEW.idLog FROM DUAL;
END;
/

-- LOCALITAT
CREATE SEQUENCE seq_localitat INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER tr_localitat_insert 
   BEFORE INSERT ON Localitat
   FOR EACH ROW
BEGIN
   SELECT seq_localitat.nextval INTO :NEW.idLocalitat FROM DUAL;
END;
/

-- ADRECA
CREATE SEQUENCE seq_adreca INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER tr_adreca_insert 
   BEFORE INSERT ON Adreca
   FOR EACH ROW
BEGIN
   SELECT seq_adreca.nextval INTO :NEW.idAdreca FROM DUAL;
END;
/

-- CENTRALETA DISTRIBUCIO
CREATE SEQUENCE seq_central INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER tr_central_insert 
   BEFORE INSERT ON CENTRALPRODUCCIO
   FOR EACH ROW
BEGIN
   SELECT seq_central.nextval INTO :NEW.codiCentral FROM DUAL;
END;
/

-- LINIES COMUNICACIO
CREATE SEQUENCE seq_linies INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER tr_linies_insert 
   BEFORE INSERT ON LINIESCOMUNICACIO
   FOR EACH ROW
BEGIN
   SELECT seq_linies.nextval INTO :NEW.idLinia FROM DUAL;
END;
/

-- COMPTADOR
CREATE SEQUENCE seq_comptador INCREMENT BY 1 START WITH 1;

CREATE OR REPLACE TRIGGER tr_comptador_insert 
   BEFORE INSERT ON COMPTADOR
   FOR EACH ROW
BEGIN
   SELECT seq_comptador.nextval INTO :NEW.codiContracte FROM DUAL;
END;
/

