--------------------------------------------------------------------------
-- Inserci del registre a la taula Logs -  
--			obtenim els registres dels procediments executats, els 
--			parmetres que ha rebut, i els que ha retornat
--
-- Parmetres d'entrada: nomProcediment, paramEntrada, paramSortida, resultat
-- Parmetres de sortida:
-- Procediments que executa: 
----------------------------------------------------------------------------
CREATE OR REPLACE PROCEDURE p_log_insert (
	PnomProcediment IN Logs.nomProcediment%TYPE, 
	PparamEntrada IN Logs.paramEntrada%TYPE,
	PparamSortida IN Logs.paramSortida%TYPE,
	Presultat IN Logs.resultat%TYPE
	)
IS
  campdatahora TIMESTAMP;
BEGIN
	campdatahora := SYSDATE;
	INSERT INTO Logs (nomProcediment, paramEntrada, paramSortida, resultat, usuariBD, data_hora)
      	VALUES (PnomProcediment, PparamEntrada, PparamSortida, Presultat, USER, campdatahora); 
END p_log_insert;
/

