-- #########################################################################
-- #####      TEST LLISTATS  - LLISTAT 1                               #####
-- #########################################################################
set serveroutput on;
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
  -- Comptadors Ciutat 'ES'-1: 1 i 2
  -- Consum C1 gener 2012 = 95
  -- Consum C2 gener 2012 = 100
  -- Consum mig = 97,5
  -- % C1 = 97,44%
  -- % C2 = 102,56 %
  -- RESULTAT CONSULTA: C1 i C2
   p_comptadors80_llistat ('ES',1,to_timestamp('01/01/2012 9:00:00'),RSP);   
   
  -- Comptadors Ciutat 'ES'-2: 3,4 i 5
  -- Consum C3 gener 2012 = 150
  -- Consum C4 gener 2012 = 50
  -- Consum C5 gener 2012 = 125
  -- Consum mig = 108,33
  -- % C3 = 138,46%
  -- % C4 = 46,16 %
  -- % C5 = 115,39 %
  -- RESULTAT CONSULTA: C3 I C5
  p_comptadors80_llistat ('ES',2,to_timestamp('01/01/2012 9:00:00'),RSP);

  -- Comptadors Ciutat 'IT'-4: 8,9 i10
  -- Consum C8 abril 2012 = 100
  -- Consum C9 abril 2012 = 200
  -- Consum C10 abril 2012 = 60
  -- Consum mig = 120
  -- % C8 = 83,33%
  -- % C9 = 166,67 %
  -- % C10 = 50% %
  -- RESULTAT CONSULTA: C8 I C9
  p_comptadors80_llistat ('IT',4,to_timestamp('01/04/2012 9:00:00'),RSP);
  
END;
/

-- #########################################################################
-- #####      TEST LLISTATS  - LLISTAT 2                               #####
-- #########################################################################
set serveroutput on;
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
  -- L'ENERGIA DE CADA CENTRALETA S LA SUMA DELS CONSUMS DELS COMPTADORS QUE PENGEN DE CADA CENTRALETA
  -- CD1 = 6520 (ES-1-2)
  -- CD2 = 6720 (ES-2-5)
  -- CD3 = 6970 (IT-3-10)
  -- CD4 = 4930 (IT-4-13)
  -- CD5 = 7450 (DE-5-18)
  -- CD6 = 6545 (DE-5-18)
  -- CD7 = 5695 (FR-7-24)
  -- CD8 = 6415 (FR-7-24)
  -- RANKING = CD5 - CD3 - CD-2 - CD6 - CD1 - CD8 - CD7 - CD4 
   p_MesEnergia_llistat(RSP);   
  
END;
/

-- #########################################################################
-- #####      TEST LLISTATS  - LLISTAT 3                               #####
-- #########################################################################
set serveroutput on;
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
  -- CONSUM DE LES LINIES S LA SUMA DELS CONSUMS DELS SEUS COMPTADORS / CENTRALETES
  -- SEGUR QUE ESTAN MS CARREGADES LES CP-CD QUE LES CD-C. PER TANT EN EL CLCUL
  -- NOMS S'INCLOUEN EN PRIMER LLOC LES LINIES CP-CD 
  -- I EN SEGON LLOC (FINS ARRIBAR A 10) LES LINIES CD-C
  -- L1 = 10260 - 2000 (CONSUM C1 A C6 - CAPACITAT) 102 MESOS (17 MESOS * 6 COMPTADORS)
  -- L2 = 13265 - 2000 (CONSUM C3 A C9 - CAPACITAT) 119 MESOS (17 MESOS * 7 COMPTADORS)
  -- L3 = 12380 - 2000 (CONSUM C8 A C14 - CAPACITAT) 119 MESOS (17 MESOS * 7 COMPTADORS)
  -- L4 = 17910 - 2000 (CONSUM C11 A C16 + C1 A C4 - CAPACITAT) 170 MESOS (17 MESOS * 10 COMPTADORS)
  -- L5 = 6520 - 500 (CONSUM - CAPACITAT) 68 MESOS (17MESOS * 4 COMPTADORS)
  -- L6 = 6720 - 500 (CONSUM - CAPACITAT) 68 MESOS (17MESOS * 4 COMPTADORS)
  -- L7 = 6970 - 500 (CONSUM - CAPACITAT) 68 MESOS (17MESOS * 4 COMPTADORS)
  -- L8 = 4930 - 500 (CONSUM - CAPACITAT) 34 MESOS (17MESOS * 2 COMPTADORS)
  -- L9 = 7450 - 500 (CONSUM - CAPACITAT) 68 MESOS (17MESOS * 4 COMPTADORS)
  -- L10 = 6545 - 500 (CONSUM - CAPACITAT) 68 MESOS (17MESOS * 4 COMPTADORS)
  -- L11 = 5695 - 500 (CONSUM - CAPACITAT) 51 MESOS (17MESOS * 3 COMPTADORS)
  -- L12 = 6415 - 500 (CONSUM - CAPACITAT) 51 MESOS (17MESOS * 3 COMPTADORS)
  -- RANKING PER CARREGA VALOR ABSOLUT:
  -- L4, L2, L3, L1, L9, L7, L6, L10, L5, L12, L11
   p_MesCarregada_llistat(RSP);   
END;
/

-- #########################################################################
-- #####      TEST LLISTATS  - LLISTAT 4                               #####
-- #########################################################################
set serveroutput on;
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
    -- C1- connectat a CD1 i CD8, a CP1 i CP8, a LC5 i LC12, i LC1 i LC4 => ALTA
    -- C2- connectat a CD1, a CP1 i CP2, a LC5, i LC1 i LC4 => NO ALTA
    -- C3- connectat a CD1 i CD2, a CP1 i CP2, a LC6 i LC5, i LC1, LC2 i LC4 => ALTA
    -- C4- connectat a CD1 i CD2, a CP1 i CP2, a LC6 i LC5, i LC1, LC2 i LC4  => ALTA
    -- C5- connectat a CD2 i CD3, a CP1 i CP2, a LC6 i LC7, i LC1 i LC2 => ALTA     
    -- C6- connectat a CD2 i CD3, a CP1 i CP2, a LC6 i LC7, i LC1 i LC2 => ALTA     
    -- C7- connectat a CD3, a CP2, a LC7, i LC2 => NO ALTA   
    -- C8- connectat a CD3 i CD4, a CP2 i CP3, a LC7 i LC8, i LC2 i LC3 => ALTA   
    -- C9- connectat a CD4 i CD5, a CP2 i CP3, a LC8 i LC9, i LC2 i LC3 => ALTA   
    -- C10- connectat a CD5, a CP3, a C9, i LC3 => NO ALTA      
    -- C11- connectat a CD5 i CD6, a CP3 i CP4, a LC9 i LC10, i LC3 i LC4 => ALTA       
    -- C12- connectat a CD6 i CD7, a CP3 i CP4, a LC10 i LC11, i LC3 i LC4 => ALTA       
    -- C13- connectat a CD6 i CD7, a CP3 i CP4, a LC10 i LC11, i LC3 i LC4 => ALTA        
    -- C14- connectat a CD6 i CD7, a CP3 i CP4, a LC10 i LC11, i LC3 i LC4 => ALTA        
    -- C15- connectat a CD7 i CD8, a CP4, a LC11 i LC12, i LC4 => NO ALTA        
    -- C16- connectat a CD8, a CP3 i CP4, a LC12, i LC4 => NO ALTA        
    -- RESULTAT: c1,c3,c4,c5,c6,c8,c9,c11,c12,c13,c14
   p_ServeiAlta_llistat(RSP);   
END;
/


-- #########################################################################
-- #####      TEST LLISTATS  - LLISTAT 5                               #####
-- #########################################################################
set serveroutput on;
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
    -- CP1 - any 2011 - Consum: 7155, Producci: 16700
    p_Central_llistat(1,to_timestamp('1/1/2011 00:00:00'),to_timestamp('31/12/2011 23:59:59'),RSP);  
    -- CP1 - 1era meitat any 2011 - Consum: 3575, Producci: 7900
    p_Central_llistat(1,to_timestamp('1/1/2011 00:00:00'),to_timestamp('30/6/2011 23:59:59'),RSP);  
    -- CP1 - 2a meitat any 2011 - Consum: 3580, Producci: 8800
    p_Central_llistat(1,to_timestamp('1/7/2011 00:00:00'),to_timestamp('31/12/2011 23:59:59'),RSP);      
END;
/

-- #########################################################################
-- #####      TEST LLISTATS  - LLISTAT 6                               #####
-- #########################################################################
set serveroutput on;
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
    -- 16 comptadors * 16 lectures presencials + 16 comptadors * 1 lectura telemtica=272
    -- Telemtica = 100*(16*1)/(272)=5,88%
    -- Presencial = 100*(16*16)/(272)=94,11%    
   p_Lectures_llistat(RSP);  
END;
/

-- #########################################################################
-- #####      TEST LLISTATS  - LLISTAT 7                               #####
-- #########################################################################
set serveroutput on;
DECLARE
	RSP		VARCHAR2(100);
BEGIN
	RSP:= 'OK';
  -- Antiguitat superior a 10 anys = TOTS
   p_Antiguitat_llistat(10,RSP);     
  -- Antiguitat superior a 10 anys = els senars
   p_Antiguitat_llistat(11,RSP);   
END;
/